DCMTK - Bug #48

Strings mit NULL-Byte in einem DICOM-Objekt werden truncated
2009-11-04 00:00 - Uli Schlachter
Operating System:

Description

Wenn man per Hex-Editor in der Mitte z.B. eines Feldes mit VR LO ein NULL-Byte einflgt, zeigt dcmdump nur den String bis zu
diesem Byte an (die angezeigte L&nge bleibt korrekt). DcmByteString::getOFString(), ::getStringValue() und ::getString() benutzen
alle C-Strings, interpretieren das NULL-Byte also als Ende-Markierung.

=== Nachtrag JR ===

Sollte mittlerweile erledigt sein, oder?

History

#1 - 2014-09-22 16:58 - Michael Onken
- Description updated

- Private changed from No to Yes

#2 - 2015-01-15 13:47 - Michael Onken

- Private changed from Yes to No
